Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support
Class FileAttachment

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.FileAttachment

All Implemented Interfaces:
  WsdlAttachment, Attachment

Direct Known Subclasses:
  MockFileAttachment, RequestFileAttachment

    public abstract class FileAttachment

extends java.lang.Object
implements WsdlAttachment

Attachments cached locally for each request

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Attachment
`Attachment.AttachmentEncoding, Attachment.AttachmentType`

Constructor Summary
`FileAttachment(com.eviware.soapui.config.AttachmentConfig config)`
`FileAttachment(java.io.File file, boolean cache, com.eviware.soapui.config.AttachmentConfig config)`

Method Summary
`abstract Attachment.AttachmentType` | `getAttachmentType()`
`com.eviware.soapui.config.AttachmentConfig` | `getConfig()`
`java.lang.String` | `getContentID()`
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPart()`
`long` | `getSize()`
`java.lang.String` | `getUrl()`
`boolean` | `isCached()`
`void` | `release()`
`void` | `setContentID(java.lang.String contentID)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setPart(java.lang.String part)`
`void` | `updateConfig(com.eviware.soapui.config.AttachmentConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.Attachment
`getEncoding`

Constructor Detail

### FileAttachment

    public FileAttachment(com.eviware.soapui.config.AttachmentConfig config)

### FileAttachment

    public FileAttachment(java.io.File file,
                          boolean cache,
                          com.eviware.soapui.config.AttachmentConfig config)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `Attachment`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `Attachment`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Attachment`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `Attachment`

### release

    public void release()

### getPart

    public java.lang.String getPart()

  Specified by:
    `getPart` in interface `Attachment`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `Attachment`

### setPart

    public void setPart(java.lang.String part)

  Specified by:
    `setPart` in interface `Attachment`

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in interface `Attachment`

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `Attachment`

### getAttachmentType

    public abstract Attachment.AttachmentType getAttachmentType()

  Specified by:
    `getAttachmentType` in interface `Attachment`

### updateConfig

    public void updateConfig(com.eviware.soapui.config.AttachmentConfig config)

  Specified by:
    `updateConfig` in interface `WsdlAttachment`

### getConfig

    public com.eviware.soapui.config.AttachmentConfig getConfig()

  Specified by:
    `getConfig` in interface `WsdlAttachment`

### setContentID

    public void setContentID(java.lang.String contentID)

  Specified by:
    `setContentID` in interface `WsdlAttachment`

### getContentID

    public java.lang.String getContentID()

  Specified by:
    `getContentID` in interface `Attachment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.